Subject: Bug#1233: [X2Go-Dev] Bug#1233: Bug#1233: Jitsi (Java Swing?) windows not rendered correctly

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 24 Nov 2017 22:38:22 +0100

Ah, that's the first problem: I don't even have anything called
"jitsi"... I have installed via apt as described.

Update: I now found the nightly tarball. Does not work:

~/Downloads/jitsi$ ./run.sh
Exception in thread "main" java.lang.UnsupportedClassVersionError:
net/java/sip/communicator/launcher/SIPCommunicator : Unsupported
major.minor version 51.0
       at java.lang.ClassLoader.defineClass1(Native Method)
       at java.lang.ClassLoader.defineClassCond(Unknown Source)
       at java.lang.ClassLoader.defineClass(Unknown Source)
       at java.security.SecureClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.defineClass(Unknown Source)
       at java.net.URLClassLoader.access$000(Unknown Source)
       at java.net.URLClassLoader$1.run(Unknown Source)
       at java.security.AccessController.doPrivileged(Native Method)
       at java.net.URLClassLoader.findClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
       at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
       at java.lang.ClassLoader.loadClass(Unknown Source)
Could not find the main class:
net.java.sip.communicator.launcher.SIPCommunicator.  Program will
exit.

Now where do I get this from?

Uli

On Fri, Nov 24, 2017 at 10:01 PM, Daniel Pocock <[email-masked]> wrote:
> On 24/11/17 21:05, Ulrich Sibiller wrote:
>> I am sorry, but I failed to run jitsi. I installed it on Ubuntu like
>> describe here: https://jitsi.org/downloads/. And then? jitsi does not
>> seem bring any executable that opens a GUI. I also failed to find a
>> proper doc. So please describe how we can replicate your problem.
>
>
> Did you use the package or the tarball?
>
> When you run the jitsi binary from the command line, does it display any
> errors on stdout or stderr?
>
> Did you ever have jitsi before?  If so, it may have left a stray
> configuration file.  If the configuration file includes a setting to
> dock the main window then you won't see any window when you run it, you
> have to look for the tray icon or tweak the configuration file:
>
> $ grep -i tray .jitsi/sip-communicator.properties
> net.java.sip.communicator.impl.systray.showApplication=true
>
>
> Regards,
>
> Daniel
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev